Bug 1343633 - [GSS](6.4.z):read-proxies-configuration and :read-proxies-info fail when there is no httpd
Summary: [GSS](6.4.z):read-proxies-configuration and :read-proxies-info fail when ther...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: mod_cluster
Version: 6.4.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.11
Assignee: Aaron Ogburn
QA Contact: Peter Mackay
URL: https://github.com/jbossas/jboss-eap/...
Whiteboard:
Keywords:
Depends On:
Blocks: eap6411-payload
TreeView+ depends on / blocked
 
Reported: 2016-06-07 14:37 UTC by Aaron Ogburn
Modified: 2017-01-17 13:09 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-01-17 13:09:57 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2293181 None None None 2016-06-07 14:43 UTC
JBoss Issue Tracker JBEAP-5111 Major Verified (7.1.0) :read-proxies-configuration and :read-proxies-info fail when at least one of the proxies is unreachable 2017-08-29 15:17 UTC
JBoss Issue Tracker JBEAP-6094 Major Ready for QA [GSS](7.0.z) :read-proxies-configuration and :read-proxies-info fail when at least one of the proxies is unreachable 2016-12-06 12:23 UTC
JBoss Issue Tracker MODCLUSTER-346 Major Resolved :read-proxies-configuration and :read-proxies-info fail when at least one of the proxies is unreachable 2017-08-29 15:17 UTC

Description Aaron Ogburn 2016-06-07 14:37:04 UTC
Description of problem:

When the modcluster subsystem is unable to connect to a proxy, the jboss-cli commands :read-proxies-configuration and :read-proxies-info fail with an unhelpful error.

On both the domain controller and application host, :read-proxies-info and :read-proxies-configuration fail with the same error. This is the output from the application host:

[domain@localhost:9999 subsystem=modcluster] pwd
/host=localhost/server=cluster2/subsystem=modcluster

[domain@localhost:9999 subsystem=modcluster] :list-proxies
{
    "outcome" => "success",
    "result" => [
        "web02:8009",
        "web01:8009"
    ]
}

[domain@localhost:9999 subsystem=modcluster] :read-proxies-configuration
{
    "outcome" => "failed",
    "result" => undefined,
    "failure-description" => "JBAS014749: Operation handler failed: newValue is null",
    "rolled-back" => true
}

[domain@localhost:9999 subsystem=modcluster] :read-proxies-info
{
    "outcome" => "failed",
    "result" => undefined,
    "failure-description" => "JBAS014749: Operation handler failed: newValue is null",
    "rolled-back" => true
}


Version-Release number of selected component (if applicable):


How reproducible:

Always


Steps to Reproduce:
1. Set modcluster's proxy-list
2. Don't run httpd on that specified proxy-list ip/port
3. Attempt a :read-proxies-configuration or :read-proxies-info command

Actual results:

The CLI commands fail if an httpd is down


Expected results:

The CLI command works if an httpd is down

Comment 3 JBoss JIRA Server 2016-08-15 11:06:04 UTC
Kabir Khan <kabir.khan@jboss.com> updated the status of jira JBEAP-5111 to Resolved

Comment 5 Peter Mackay 2016-10-03 13:39:20 UTC
Verified with EAP 6.4.11.CP.CR1

Comment 6 Petr Penicka 2017-01-17 13:09:57 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.


Note You need to log in before you can comment on or make changes to this bug.